> ## Documentation Index
> Fetch the complete documentation index at: https://docs.debridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get banner by domain



## OpenAPI

````yaml /dln-details/swagger/monitoring.json get /api/AnnouncementBanner/getBannerByDomain
openapi: 3.0.1
info:
  title: DLN stats API
  description: >-
    # Introduction

    This API is part of [deBridge](https://debridge.com/) protocol
    infrastructure. 


    Protocol documentation is available [here](https://docs.debridge.com/).


    [Terms and
    Condition](https://debridge.com/assets/files/debridge_terms_of_service.pdf)
    | [Privacy
    Policy](https://debridge.com/assets/files/debridge_privacy_policy.pdf)


    # Swagger

    Swagger document can be found [here](/swagger)


    Redoc document can be found [here](/redoc)
  version: v1
servers:
  - url: https://dln-api.debridge.finance
security: []
paths:
  /api/AnnouncementBanner/getBannerByDomain:
    get:
      tags:
        - AnnouncementBanner
      summary: Get banner by domain
      operationId: AnnouncementBanner_GetBannerByDomain
      parameters:
        - name: domain
          in: query
          description: domain, that the banner should be used at
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AnnouncementBannerDTO'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidInputDataResponse'
        '422':
          description: Unprocessable Content
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
components:
  schemas:
    AnnouncementBannerDTO:
      type: object
      properties:
        domain:
          type: string
          description: Domain, that should display this banner
          nullable: true
        message:
          type: string
          description: Banner message for dark mode
          nullable: true
        messageLight:
          type: string
          description: Banner message for light mode
          nullable: true
        bannerColorDark:
          type: string
          description: Banner background color, that should be used in dark mode
          nullable: true
        bannerColorLight:
          type: string
          description: Banner background color, that should be used in light mode
          nullable: true
        textColorDark:
          type: string
          description: Banner text color, that should be used in dark mode
          nullable: true
        textColorLight:
          type: string
          description: Banner text color, that should be used in light mode
          nullable: true
      additionalProperties: false
    InvalidInputDataResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          nullable: true
        errorCode:
          type: integer
          description: For this type of error it's always 400
          format: int32
      additionalProperties: false
      description: Information about bad input params
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          nullable: true
        errorCode:
          type: integer
          description: >-
            Error code, if differs from response code (if !=422) indicates
            unique id of the error that can be used for error's handling
            automation on client side
          format: int32
      additionalProperties: false
      description: Information about error, occurred in the application
    InternalServerErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          nullable: true
        errorCode:
          type: integer
          description: For this type of error it's always 500
          format: int32
      additionalProperties: false
      description: Information about an internal server error

````